diff --git a/src/cfgparse.c b/src/cfgparse.c
index ab4a89c3c492..cbba42325b1e 100644
--- a/src/cfgparse.c
+++ b/src/cfgparse.c
@@ -3906,11 +3906,10 @@ int check_config_validity()
 		 stick-table used in the configuration, set its bind_proc
 		 by default to the first process. */
 		while (curpeers) {
-			if (!curpeers->peers_fe)
-				continue;
-			if (curpeers->peers_fe->bind_proc == 0)
-				curpeers->peers_fe->bind_proc = 1;
-
+			if (curpeers->peers_fe) {
+				if (curpeers->peers_fe->bind_proc == 0)
+					curpeers->peers_fe->bind_proc = 1;
+			}
 			curpeers = curpeers->next;
 		}
 
